Subject: [RTG-DIR] RtgDir review: draft-ietf-trill-irb-09.txt

From: "Russ White" <[email-masked]>
Date: Mon, 28 Dec 2015 21:16:25 -0500

Y'all --

I have been selected as the Routing Directorate reviewer for this draft. The Routing Directorate seeks to review all routing or routing-related drafts as they pass through IETF last call and IESG review, and sometimes on special request. The purpose of the review is to provide assistance to the Routing ADs. For more information about the Routing Directorate, please see ​http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir

Although these comments are primarily for the use of the Routing ADs, it would be helpful if you could consider them along with any other IETF Last Call comments that you receive, and strive to resolve them through discussion or by updating the draft.

Document: draft-ietf-trill-irb-09.txt
Reviewer: Russ White
Review Date: 28 December 2015
Intended Status: Standard Track

I have some minor concerns about this document that I think should be resolved before publication.

First, in 5.2:

When a routing instance is created on an edge RBridge, the tenant ID, tenant Label (VLAN or FGL), tenant gateway MAC, and their correspondence should be set and globally advertised (see Section 7.1).

When an ingress RBridge performs inter-subnet traffic TRILL encapsulation, the ingress RBridge uses the Label advertised by the egress RBridge as the inner VLAN or FGL and uses the tenant gateway    MAC advertised by the egress RBridge as the Inner.MacDA. The egress Bridge relies on this tenant Data Label to find the local VRF instance for the IP forwarding process when receiving inter-subnet traffic from the TRILL campus. (The role of tenant Label is akin to an MPLS VPN Label in an MPLS IP/MPLS VPN network.) Tenant Data Labels are independently allocated on each edge RBridge for each routing domain.
   
There seems to be some confusion between the concepts of a tenant label and a tenant data label. Is the tenant label globally set and advertised, or is it locally set on a per edge RBridge basis? Is it the set of tenant id + tenant lable that is meant to be unique, or -- ?? This seems like it could use some clarification.

Second, it seems that the way this should work would be with host routes at layer 3. I'm not certain how a subnet route would really work given the ability of the operator to split a subnet across multiple flooding domains under multiple ToR devices. Is this correct? There doesn't seem to be any mention in the document.

The formatting of the document looks fine. There do not appear to be any downrefs. The security considerations section appears to be useful, and to cover the issues I could think of when reading through the doc.

:-)

Russ